import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import java.util.Vector;

public class PrefixList extends List implements CommandListener  
{ 
    Dictionary  dictionary;
    Displayable parent;
    Vector      selection;

    PrefixList(Dictionary dictionary, Displayable parent, Vector selection) 
    {
        super(Locale.SELECT_WORD, IMPLICIT);
        this.dictionary = dictionary;        
        this.parent = parent;
        this.selection = selection;
        for (int i = 0, n = selection.size(); i < n; i++) { 
            append(((Translation)selection.elementAt(i)).word, null);
        }
        setCommandListener(this);
        addCommand(Dictionary.BACK_CMD);
        Display.getDisplay(dictionary).setCurrent(this);
    }
        
    public void commandAction(Command c, Displayable d)  
    {
        if (c == Dictionary.BACK_CMD) {
            selection = null;
            Display.getDisplay(dictionary).setCurrent(parent);
        } else { 
            int i = getSelectedIndex();
            if (i >= 0) { 
                new TranslationBox(dictionary, this, (Translation)selection.elementAt(i));
            }
        }           
    }
}                  
